Skip to main content
GET
/
accounts
List accounts
curl --request GET \
  --url https://api.platform.dakota.xyz/accounts \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "account_type": "onramp",
      "bank_account": {
        "id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
        "capabilities": [
          "ach",
          "fedwire"
        ],
        "aba_routing_number": "123456789",
        "aba_wire_routing_number": "123456789",
        "account_number": "123456789",
        "account_type": "checking",
        "bic": "DEUTDEFFXXX",
        "iban": "DE89370400440532013000",
        "account_holder_name": "John Doe",
        "account_holder_address": {
          "street1": "123 Main St",
          "street2": "Apt 4B",
          "street3": "Building C",
          "city": "San Francisco",
          "region": "California",
          "postal_code": "94105",
          "country": "US"
        },
        "account_holder_phone": "1234567890",
        "bank_name": "Bank of America",
        "bank_address": {
          "street1": "123 Main St",
          "street2": "Apt 4B",
          "street3": "Building C",
          "city": "San Francisco",
          "region": "California",
          "postal_code": "94105",
          "country": "US"
        },
        "bank_phone": "+12345678900"
      },
      "destination": {
        "destination_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
        "destination_type": "crypto",
        "name": "My Ethereum Wallet",
        "crypto_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
        "family": "evm",
        "network_id": "ethereum-mainnet"
      },
      "source_crypto_address": "0x1234",
      "source_family": "evm",
      "source_network_id": "ethereum-mainnet",
      "source_asset": "USDC",
      "destination_asset": "USDC",
      "rail": "ach",
      "destination_rail": "ach"
    }
  ],
  "meta": {
    "total_count": 100,
    "has_more_after": true,
    "has_more_before": false
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include starting_after=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the next page of the list. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

ending_before
string

A cursor for use in pagination. ending_before is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include ending_before=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the previous page of the list. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

account_type
enum<string>
required

Account family to list. Unified account family for account resources.

Available options:
onramp,
offramp,
swap
Example:

"onramp"

customer_id
string

Filter accounts by customer ID. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

source_network_id
string

Filter accounts by source network ID.

Example:

"ethereum-mainnet"

destination_network_id
string

Filter accounts by destination network ID.

Example:

"ethereum-mainnet"

destination_asset
string

Filter accounts by destination asset.

Example:

"USDC"

crypto_destination_id
string

Filter accounts by crypto destination ID. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

fiat_destination_id
string

Filter accounts by fiat destination ID. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

Response

List of matching account resources.

Wrapper for paginated list responses

data
Account Response · object[]
required

List of objects returned by the API

meta
object
required

Meta information about the response